(************** Content-type: application/mathematica **************
                     CreatedBy='Mathematica 5.1'

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     50449,       1361]*)
(*NotebookOutlinePosition[     51076,       1383]*)
(*  CellTagsIndexPosition[     51032,       1379]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
    \(<< MB.m\)], "Input"],

Cell[BoxData[
    \("MB 1.1"\)], "Print"],

Cell[BoxData[
    \("by Michal Czakon"\)], "Print"],

Cell[BoxData[
    \("more info in hep-ph/0511200"\)], "Print"],

Cell[BoxData[
    \("last modified 24 Jan 06"\)], "Print"]
}, Open  ]],

Cell[BoxData[
    \( (*\ First\ planar\ topology\ for\ Bhabha\ scattering . \ 
          MB\ representation\ \(from : \
\[IndentingNewLine]\[IndentingNewLine]V . A . Smirnov\), \ 
      Phys . Lett . B524\ \((2002)\)\ 129 - 136\ *) \)], "Input"],

Cell[BoxData[
    \(\(B1general = \((\(-1\))\)^\((a1 + a2 + a3 + a4 + a5 + a6 + a7 + 
                  a8)\)/\((Gamma[a2] Gamma[a4] Gamma[a5] Gamma[a6] Gamma[a7] 
                Gamma[4 - a4 - a5 - a6 - a7 - 
                    2  ep] \((\(-s\))\)^\((a1 + a2 + a3 + a4 + a5 + a6 + a7 + 
                      a8 - 4 + 2  ep)\))\) \((\(-s\))\)^\((\(-z1\) - 
                z5)\) \((t/s)\)^w\ Gamma[a2 + w] Gamma[\(-w\)] Gamma[z2 + z4] 
          Gamma[z3 + z4]/\((Gamma[a1 + z3 + z4] Gamma[a3 + z2 + z4])\) 
          Gamma[4 - a1 - a3 - 2  a2 - 2  a8 - 2  ep + z2 + z3] 
          Gamma[a1 + a2 + a3 + a8 - 2 + ep + z4 + z5] 
          Gamma[a7 + w - z4]/
            Gamma[4 - a4 - a6 - 2  a5 - 2  a7 - 2  ep - 2  w - 2  z1 - z2 - 
                z3] Gamma[a4 + a5 + a6 + a7 - 2 + ep + w + z1 - z4] 
          Gamma[a8 - z2 - z3 - z4] 
          Gamma[\(-w\) - z2 - z3 - 
                z4]/\((Gamma[4 - a1 - a2 - a3 - a8 - 2  ep + w - z4] 
                Gamma[a8 - w - z2 - z3 - z4])\) Gamma[a5 + w + z2 + z3 + z4] 
          Gamma[2 - a5 - a6 - a7 - ep - w - z1 - z2]/
            Gamma[4 - a1 - a3 - 2  a2 - 2  a8 - 2  ep + z2 + z3 - 2  z5] 
          Gamma[2 - a4 - a5 - a7 - ep - w - z1 - z3] 
          Gamma[2 - a1 - a2 - a8 - ep + z2 - z5] 
          Gamma[2 - a2 - a3 - a8 - ep + z3 - z5] 
          Gamma[4 - a4 - a6 - 2  a5 - 2  a7 - 2  ep - 2  w - z2 - z3] 
          Gamma[\(-z1\)] Gamma[\(-z5\)];\)\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(B1 = 
      B1general /. {a1 \[Rule] 1, a2 \[Rule] 1, a3 \[Rule] 1, a4 \[Rule] 1, 
          a5 \[Rule] 1, a6 \[Rule] 1, a7 \[Rule] 1, a8 \[Rule] 0}\)], "Input"],

Cell[BoxData[
    \(\(-\(\((\((\(-s\))\)\^\(\(-3\) - 2\ ep - z1 - z5\)\ \((t\/s)\)\^w\ \
Gamma[\(-w\)]\ Gamma[
              1 + w]\ Gamma[\(-z1\)]\ Gamma[\(-1\) - ep - w - z1 - 
                z2]\ Gamma[\(-1\) - ep - w - z1 - z3]\ Gamma[\(-2\) - 2\ ep - 
                2\ w - z2 - z3]\ Gamma[\(-2\)\ ep + z2 + z3]\ Gamma[
              1 + w - z4]\ Gamma[
              2 + ep + w + z1 - z4]\ Gamma[\(-z2\) - z3 - z4]\ Gamma[
              z2 + z4]\ Gamma[z3 + z4]\ Gamma[
              1 + w + z2 + z3 + z4]\ Gamma[\(-ep\) + z2 - 
                z5]\ Gamma[\(-ep\) + z3 - z5]\ Gamma[\(-z5\)]\ Gamma[
              1 + ep + z4 + z5])\)/\((Gamma[\(-2\)\ ep]\ Gamma[\(-2\) - 
                2\ ep - 2\ w - 2\ z1 - z2 - z3]\ Gamma[
              1 - 2\ ep + w - z4]\ Gamma[1 + z2 + z4]\ Gamma[
              1 + z3 + z4]\ Gamma[\(-2\)\ ep + z2 + z3 - 
                2\ z5])\)\)\)\)], "Output"]
}, Open  ]],

Cell[BoxData[
    \( (*\ regularization\ of\ the\ integral\ *) \)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(B1rules = MBoptimizedRules[B1, ep \[Rule] 0, {}, {ep}]\)], "Input"],

Cell[BoxData[
    \(MBresidues::"contour" \(\(:\)\(\ \)\) 
      "contour starts and/or ends on a pole of Gamma[\!\(\(\(-1\)\) - ep - w \
- z1 + z4\)]"\)], "Message"],

Cell[BoxData[
    \(MBresidues::"contour" \(\(:\)\(\ \)\) 
      "contour starts and/or ends on a pole of Gamma[\!\(1 + \(\(2\\ \
z1\)\)\)]"\)], "Message"],

Cell[BoxData[
    \(MBrules::"norules" \(\(:\)\(\ \)\) 
      "no rules could be found to regulate this integral"\)], "Message"],

Cell[BoxData[
    \(MBrules::"norules" \(\(:\)\(\ \)\) 
      "no rules could be found to regulate this integral"\)], "Message"],

Cell[BoxData[
    \(MBrules::"norules" \(\(:\)\(\ \)\) 
      "no rules could be found to regulate this integral"\)], "Message"],

Cell[BoxData[
    RowBox[{\(General::"stop"\), \(\(:\)\(\ \)\), "\<\"Further output of \
\\!\\(MBrules :: \\\"norules\\\"\\) will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"More\[Ellipsis]\\\", \
ButtonStyle->\\\"RefGuideLinkText\\\", ButtonFrame->None, \
ButtonData:>\\\"General::stop\\\"]\\)\"\>"}]], "Message"],

Cell[BoxData[
    \({{ep \[Rule] \(-\(53\/128\)\)}, {w \[Rule] \(-\(7\/8\)\), 
        z1 \[Rule] \(-\(1\/4\)\), z2 \[Rule] \(-\(5\/64\)\), 
        z3 \[Rule] \(-\(3\/32\)\), z4 \[Rule] 7\/64, 
        z5 \[Rule] \(-\(111\/256\)\)}}\)], "Output"]
}, Open  ]],

Cell[BoxData[
    \( (*\ continuation\ *) \)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(B1cont = MBcontinue[B1, ep \[Rule] 0, B1rules];\)\)], "Input"],

Cell[BoxData[
    \("Level 1"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"-"\[InvisibleSpace]"residue in "\[InvisibleSpace]z3\
\[InvisibleSpace]" = "\[InvisibleSpace]\(\(-2\) - 2\ ep - 2\ w - z2\)\),
      SequenceForm[ "Taking ", "-", "residue in ", z3, " = ", 
        Plus[ -2, 
          Times[ -2, ep], 
          Times[ -2, w], 
          Times[ -1, z2]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z3\
\[InvisibleSpace]" = "\[InvisibleSpace]\(2\ ep - z2\)\),
      SequenceForm[ "Taking ", "+", "residue in ", z3, " = ", 
        Plus[ 
          Times[ 2, ep], 
          Times[ -1, z2]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Level "\[InvisibleSpace]2\),
      SequenceForm[ "Level ", 2],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{1}\),
      SequenceForm[ "Integral ", {1}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z4\
\[InvisibleSpace]" = "\[InvisibleSpace]\(1 + 2\ ep + w\)\),
      SequenceForm[ "Taking ", "+", "residue in ", z4, " = ", 
        Plus[ 1, 
          Times[ 2, ep], w]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z4\
\[InvisibleSpace]" = "\[InvisibleSpace]\(2 + 2\ ep + 2\ w + z2\)\),
      SequenceForm[ "Taking ", "+", "residue in ", z4, " = ", 
        Plus[ 2, 
          Times[ 2, ep], 
          Times[ 2, w], z2]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{2}\),
      SequenceForm[ "Integral ", {2}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"-"\[InvisibleSpace]"residue in "\[InvisibleSpace]w\
\[InvisibleSpace]" = "\[InvisibleSpace]\(\(-1\) - 2\ ep\)\),
      SequenceForm[ "Taking ", "-", "residue in ", w, " = ", 
        Plus[ -1, 
          Times[ -2, ep]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"-"\[InvisibleSpace]"residue in "\[InvisibleSpace]z4\
\[InvisibleSpace]" = "\[InvisibleSpace]\(\(-2\)\ ep\)\),
      SequenceForm[ "Taking ", "-", "residue in ", z4, " = ", 
        Times[ -2, ep]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Level "\[InvisibleSpace]3\),
      SequenceForm[ "Level ", 3],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{1, 1}\),
      SequenceForm[ "Integral ", {1, 1}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{1, 2}\),
      SequenceForm[ "Integral ", {1, 2}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"-"\[InvisibleSpace]"residue in "\[InvisibleSpace]z2\
\[InvisibleSpace]" = "\[InvisibleSpace]\(\(-1\) - 2\ ep - w\)\),
      SequenceForm[ "Taking ", "-", "residue in ", z2, " = ", 
        Plus[ -1, 
          Times[ -2, ep], 
          Times[ -1, w]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{2, 1}\),
      SequenceForm[ "Integral ", {2, 1}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"-"\[InvisibleSpace]"residue in "\[InvisibleSpace]z4\
\[InvisibleSpace]" = "\[InvisibleSpace]\(\(-2\)\ ep\)\),
      SequenceForm[ "Taking ", "-", "residue in ", z4, " = ", 
        Times[ -2, ep]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{2, 2}\),
      SequenceForm[ "Integral ", {2, 2}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z2\
\[InvisibleSpace]" = "\[InvisibleSpace]\(2\ ep\)\),
      SequenceForm[ "Taking ", "+", "residue in ", z2, " = ", 
        Times[ 2, ep]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Level "\[InvisibleSpace]4\),
      SequenceForm[ "Level ", 4],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{1, 2, 1}\),
      SequenceForm[ "Integral ", {1, 2, 1}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{2, 1, 1}\),
      SequenceForm[ "Integral ", {2, 1, 1}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z2\
\[InvisibleSpace]" = "\[InvisibleSpace]\(2\ ep\)\),
      SequenceForm[ "Taking ", "+", "residue in ", z2, " = ", 
        Times[ 2, ep]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{2, 2, 1}\),
      SequenceForm[ "Integral ", {2, 2, 1}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Level "\[InvisibleSpace]5\),
      SequenceForm[ "Level ", 5],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{2, 1, 1, 1}\),
      SequenceForm[ "Integral ", {2, 1, 1, 1}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\(11\[InvisibleSpace]" integral(s) found"\),
      SequenceForm[ 11, " integral(s) found"],
      Editable->False]], "Print"]
}, Open  ]],

Cell[BoxData[
    \( (*\ 
      selection\ and\ merging\ of\ those\ that\ contribute\ to\ the\ finite\ \
part\ *) \)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(B1select = MBpreselect[MBmerge[B1cont], {ep, 0, 0}]\)], "Input"],

Cell[BoxData[
    \({MBint[\((\((\(-s\))\)\^\(\(-2\)\ ep - z1 - z5\)\ \((t\/s)\)\^w\ Gamma[\
\(-w\)]\ Gamma[1 + w]\ Gamma[\(-2\)\ \((1 + 2\ ep + w)\)]\ Gamma[
                1 + 2\ ep + 
                  w]\ Gamma[\(-z1\)]\ Gamma[\(-z5\)]\ \((Gamma[\(-ep\) - 
                        z1]\ Gamma[ep - z1]\ Gamma[
                      1 + ep + 
                        z1]\ Gamma[\(-2\)\ \((1 + 2\ ep + w + 
                            z1)\)]\ Gamma[\(-1\) - 3\ ep - w - 
                        z5]\ Gamma[\(-1\) - ep - w - 
                        z5]\ Gamma[\(-2\)\ z5]\ Gamma[2 + ep + w + z5] + 
                  Gamma[\(-1\) - 3\ ep - w - z1]\ Gamma[\(-1\) - ep - w - 
                        z1]\ Gamma[\(-2\)\ z1]\ Gamma[
                      2 + 3\ ep + w + z1]\ Gamma[\(-ep\) - z5]\ Gamma[
                      ep - z5]\ Gamma[
                      1 - ep + 
                        z5]\ Gamma[\(-2\)\ \((1 + 2\ ep + w + 
                            z5)\)])\))\)/\((s\^3\ Gamma[
                1 - 2\ ep]\ Gamma[\(-2\)\ z1]\ Gamma[\(-2\)\ \((1 + 2\ ep + 
                      w + z1)\)]\ Gamma[\(-2\)\ z5]\ Gamma[\(-2\)\ \((1 + 
                      2\ ep + w + z5)\)])\), {{ep \[Rule] 
              0}, {w \[Rule] \(-\(7\/8\)\), z1 \[Rule] \(-\(1\/4\)\), 
            z5 \[Rule] \(-\(111\/256\)\)}}], 
      MBint[\((\((\(-s\))\)\^\(\(-2\) - 2\ ep - z1 - z5\)\ \((t\/s)\)\^\(\(-2\
\)\ ep\)\ Gamma[\(-2\)\ ep]\ Gamma[1 + 2\ ep]\ Gamma[\(-ep\) - z1]\ Gamma[
                ep - z1]\ Gamma[\(-z1\)]\ Gamma[
                1 + ep + z1]\ Gamma[\(-ep\) - z5]\ Gamma[
                ep - z5]\ Gamma[\(-z5\)]\ Gamma[
                1 - ep + z5]\ \((\(-2\)\ EulerGamma + 
                  2\ PolyGamma[0, 1 - 2\ ep] - 4\ PolyGamma[0, \(-2\)\ ep] - 
                  PolyGamma[0, \(-ep\) - z1] + PolyGamma[0, ep - z1] + 
                  PolyGamma[0, 1 + ep + z1] - PolyGamma[0, \(-ep\) - z5] + 
                  PolyGamma[0, ep - z5] - 
                  PolyGamma[0, 1 - ep + z5])\))\)/\((2\ t\ Gamma[
                1 - 2\ ep]\ Gamma[\(-2\)\ z1]\ Gamma[\(-2\)\ z5])\), {{ep \
\[Rule] 0}, {z1 \[Rule] \(-\(1\/4\)\), z5 \[Rule] \(-\(111\/256\)\)}}], 
      MBint[\(-\(\((\((\(-s\))\)\^\(\(-2\) - 2\ ep - z1 - z5\)\ \
\((t\/s)\)\^\(\(-2\)\ ep\)\ Gamma[1 + 2\ ep]\ Gamma[\(-z1\)]\ Gamma[
                  1 + ep + z1]\ Gamma[
                  ep - z1 - z2]\ Gamma[\(-z2\)]\ Gamma[\(-2\)\ ep + 
                    z2]\ Gamma[\(-ep\) - z1 + z2]\ Gamma[
                  ep - z2 - z5]\ Gamma[\(-ep\) + z2 - 
                    z5]\ Gamma[\(-z5\)]\ Gamma[
                  1 - ep + z5]\ \((2\ EulerGamma + 
                    2\ PolyGamma[0, \(-2\)\ ep] - PolyGamma[0, 1 + ep + z1] - 
                    PolyGamma[0, 1 - z2] + PolyGamma[0, \(-z2\)] + 
                    PolyGamma[0, \(-2\)\ ep + z2] - 
                    PolyGamma[0, 1 - 2\ ep + z2] + 
                    PolyGamma[0, 
                      1 - ep + z5])\))\)/\((2\ t\ Gamma[\(-2\)\ z1]\ Gamma[
                  1 - z2]\ Gamma[
                  1 - 2\ ep + z2]\ Gamma[\(-2\)\ z5])\)\)\), {{ep \[Rule] 
              0}, {z1 \[Rule] \(-\(1\/4\)\), z2 \[Rule] \(-\(5\/64\)\), 
            z5 \[Rule] \(-\(111\/256\)\)}}], 
      MBint[\((\((\(-s\))\)\^\(\(-2\) - 2\ ep - z1 - z5\)\ \((t\/s)\)\^\(\(-2\
\)\ ep\)\ Gamma[1 + 2\ ep]\ Gamma[\(-z1\)]\ Gamma[
                ep - z1 - z2]\ Gamma[\(-ep\) - z1 + 
                  z2]\ Gamma[\(-2\)\ ep - z4]\^2\ Gamma[
                1 - ep + z1 - z4]\ Gamma[z4]\ Gamma[2\ ep - z2 + z4]\ Gamma[
                z2 + z4]\ Gamma[
                ep - z2 - z5]\ Gamma[\(-ep\) + z2 - 
                  z5]\ Gamma[\(-z5\)]\ Gamma[
                1 + ep + z4 + 
                  z5])\)/\((2\ t\ Gamma[\(-2\)\ z1]\ Gamma[\(-4\)\ ep - 
                  z4]\ Gamma[1 + 2\ ep - z2 + z4]\ Gamma[
                1 + z2 + z4]\ Gamma[\(-2\)\ z5])\), {{ep \[Rule] 
              0}, {z1 \[Rule] \(-\(1\/4\)\), z2 \[Rule] \(-\(5\/64\)\), 
            z4 \[Rule] 7\/64, z5 \[Rule] \(-\(111\/256\)\)}}]}\)], "Output"]
}, Open  ]],

Cell[BoxData[
    \(\(B1exp = 
        MBexpand[B1select, Exp[2  ep\ EulerGamma], {ep, 0, 0}];\)\)], "Input"],

Cell[BoxData[
    \( (*\ numerical\ evaluation\ down\ to\ the\ finite\ part\ *) \)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(B1int = 
      MBintegrate[B1exp, {s \[Rule] \(-2\), t \[Rule] \(-3\)}]\)], "Input"],

Cell[BoxData[
    \("Shifting contours..."\)], "Print"],

Cell["Performing 0 1-dimensional integrations", "Print"],

Cell[BoxData[
    \("Higher-dimensional integrals"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart1ep0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]4\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart1ep0", " (dim ", 4, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart2ep0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]3\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart2ep0", " (dim ", 3, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart3ep0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]3\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart3ep0", " (dim ", 3, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart4ep0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]2\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart4ep0", " (dim ", 2, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart5ep-1"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]3\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart5ep-1", " (dim ", 3, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart6ep-1"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]2\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart6ep-1", " (dim ", 2, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart7ep-2"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]2\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart7ep-2", " (dim ", 2, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart1ep0"\),
      SequenceForm[ "Running ", "MBpart1ep0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart2ep0"\),
      SequenceForm[ "Running ", "MBpart2ep0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart3ep0"\),
      SequenceForm[ "Running ", "MBpart3ep0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart4ep0"\),
      SequenceForm[ "Running ", "MBpart4ep0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart5ep-1"\),
      SequenceForm[ "Running ", "MBpart5ep-1"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart6ep-1"\),
      SequenceForm[ "Running ", "MBpart6ep-1"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart7ep-2"\),
      SequenceForm[ "Running ", "MBpart7ep-2"],
      Editable->False]], "Print"],

Cell[BoxData[
    \({\(\(0.9722784179`\)\(\[InvisibleSpace]\)\) - 0.0963543237`\/ep\^2 + 
        0.106466987`\/ep, {\(\(0.00010007885619550601`\)\(\[InvisibleSpace]\)\
\) + 8.37946827`*^-6\/ep\^2 + 0.000023384786172916245`\/ep, 0}}\)], "Output"]
}, Open  ]],

Cell[BoxData[
    \( (*\ the\ exact\ result\ gives\ *) \)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(B1exact\  = \ 
      0.9722073011355002 - 0.09635433901514644\/ep\^2 + 
        0.10646868656849023\/ep\)], "Input"],

Cell[BoxData[
    \(\(\(0.9722073011355002`\)\(\[InvisibleSpace]\)\) - 
      0.09635433901514644`\/ep\^2 + 0.10646868656849023`\/ep\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(B1exact - B1int[\([1]\)]\)], "Input"],

Cell[BoxData[
    \(\(-0.000071116764499779`\) - 1.531514644270704`*^-8\/ep\^2 + 
      1.6995684902348929`*^-6\/ep\)], "Output"]
}, Open  ]],

Cell[BoxData[
    \( (*\ Second\ planar\ topology\ for\ Bhabha\ scattering . \ 
          MB\ representation\ \(from : \
\[IndentingNewLine]\[IndentingNewLine]G . Heinrich\ and\ V . A . Smirnov\), \ 
      Phys . Lett . B598\ \((2004)\)\ 55 - 66\ *) \)], "Input"],

Cell[BoxData[
    \(\(B2general = \((\(-1\))\)^\((a1 + a2 + a3 + a4 + a5 + a6 + a7 + 
                  a8)\)/\((Gamma[a2] Gamma[a4] Gamma[a5] Gamma[a6] Gamma[a7] 
                Gamma[4 - a4 - a5 - a6 - a7 - 
                    2  ep] \((\(-s\))\)^\((a1 + a2 + a3 + a4 + a5 + a6 + a7 + 
                      a8 - 4 + 2  ep)\))\) \((\(-s\))\)^\((\(-z5\) - 
                z6)\) \((t/s)\)^z1\ Gamma[\(-z1\)] Gamma[\(-z2\)] 
          Gamma[\(-z3\)] Gamma[\(-z4\)] Gamma[\(-z5\)] Gamma[\(-z6\)] 
          Gamma[a2 + z1] 
          Gamma[a4 + z2 + z4]/\((Gamma[a3 - z2] Gamma[a1 - z3])\) 
          Gamma[4 - 2  a4 - a5 - 2  a6 - a7 - 2  ep - z2 - z3 - 2  z4] 
          Gamma[a6 + z3 + 
                z4]/\((Gamma[
                  4 - 2  a4 - a5 - 2  a6 - a7 - 2  ep - z2 - z3 - 2  z4 - 
                    2  z5] Gamma[
                  6 - a1 - a2 - a3 - a4 - a5 - a6 - a7 - a8 - 3  ep - z4 - 
                    z5])\) Gamma[
              8 - a1 - a3 - 2  a2 - 2  a4 - 2  a5 - 2  a6 - 2  a7 - 2  a8 - 
                4  ep - 2  z1 - z2 - z3 - 2  z4 - 2  z5]/
            Gamma[8 - a1 - a3 - 2  a2 - 2  a4 - 2  a5 - 2  a6 - 2  a7 - 
                2  a8 - 4  ep - 2  z1 - z2 - z3 - 2  z4 - 2  z5 - 2  z6] 
          Gamma[2 - a4 - a5 - a6 - ep - z4 - z5] 
          Gamma[2 - a4 - a6 - a7 - ep - z2 - z3 - z4 - z5]/
            Gamma[a4 + a5 + a6 + a7 + a8 - 2 + ep + z2 + z3 + z4 + z5] 
          Gamma[a4 + a5 + a6 + a7 + ep - 2 + z2 + z3 + z4 + z5] 
          Gamma[a4 + a5 + a6 + a7 + a8 - 2 + ep + z1 + z2 + z3 + z4 + z5] 
          Gamma[4 - a1 - a2 - a4 - a5 - a6 - a7 - a8 - 2  ep - z1 - z2 - z4 - 
              z5 - z6] 
          Gamma[4 - a2 - a3 - a4 - a5 - a6 - a7 - a8 - 2  ep - z1 - z3 - z4 - 
              z5 - z6] 
          Gamma[a1 + a2 + a3 + a4 + a5 + a6 + a7 + a8 - 4 + 2  ep + z1 + z4 + 
              z5 + z6];\)\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(B2 = 
      B2general /. {a1 \[Rule] 1, a2 \[Rule] 1, a3 \[Rule] 1, a4 \[Rule] 1, 
          a5 \[Rule] 1, a6 \[Rule] 1, a7 \[Rule] 1, a8 \[Rule] 0}\)], "Input"],

Cell[BoxData[
    \(\(-\(\((\((\(-s\))\)\^\(\(-3\) - 2\ ep - z5 - z6\)\ \((t\/s)\)\^z1\ \
Gamma[\(-z1\)]\ Gamma[
              1 + z1]\ Gamma[\(-z2\)]\ Gamma[\(-z3\)]\ Gamma[\(-2\) - 2\ ep - 
                z2 - z3 - 2\ z4]\ Gamma[\(-z4\)]\ Gamma[1 + z2 + z4]\ Gamma[
              1 + z3 + z4]\ Gamma[\(-4\) - 4\ ep - 2\ z1 - z2 - z3 - 2\ z4 - 
                2\ z5]\ Gamma[\(-1\) - ep - z4 - z5]\ Gamma[\(-1\) - ep - 
                z2 - z3 - z4 - z5]\ Gamma[\(-z5\)]\ Gamma[
              2 + ep + z1 + z2 + z3 + z4 + z5]\ Gamma[\(-2\) - 2\ ep - z1 - 
                z2 - z4 - z5 - z6]\ Gamma[\(-2\) - 2\ ep - z1 - z3 - z4 - 
                z5 - z6]\ Gamma[\(-z6\)]\ Gamma[
              3 + 2\ ep + z1 + z4 + z5 + z6])\)/\((Gamma[\(-2\)\ ep]\ Gamma[
              1 - z2]\ Gamma[
              1 - z3]\ Gamma[\(-2\) - 2\ ep - z2 - z3 - 2\ z4 - 
                2\ z5]\ Gamma[\(-1\) - 3\ ep - z4 - z5]\ Gamma[\(-4\) - 
                4\ ep - 2\ z1 - z2 - z3 - 2\ z4 - 2\ z5 - 
                2\ z6])\)\)\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(B2rules = MBoptimizedRules[B2, ep \[Rule] 0, {}, {ep}]\)], "Input"],

Cell[BoxData[
    \(MBresidues::"contour" \(\(:\)\(\ \)\) 
      "contour starts and/or ends on a pole of Gamma[\!\(\(\(-4\)\) - \(\(4\\ \
ep\)\) - \(\(2\\ z1\)\) - z2 - z3 - \(\(2\\ z4\)\) - \(\(2\\ z5\)\)\)]"\)], \
"Message"],

Cell[BoxData[
    \(MBresidues::"contour" \(\(:\)\(\ \)\) 
      "contour starts and/or ends on a pole of Gamma[\!\(\(\(-1\)\) - ep - z1 \
+ z2 - z6\)]"\)], "Message"],

Cell[BoxData[
    \(MBresidues::"contour" \(\(:\)\(\ \)\) 
      "contour starts and/or ends on a pole of Gamma[\!\(\(\(-2\)\) - \(\(4\\ \
ep\)\) - \(\(2\\ z4\)\)\)]"\)], "Message"],

Cell[BoxData[
    RowBox[{\(General::"stop"\), \(\(:\)\(\ \)\), "\<\"Further output of \
\\!\\(MBresidues :: \\\"contour\\\"\\) will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"More\[Ellipsis]\\\", \
ButtonStyle->\\\"RefGuideLinkText\\\", ButtonFrame->None, \
ButtonData:>\\\"General::stop\\\"]\\)\"\>"}]], "Message"],

Cell[BoxData[
    \(MBrules::"norules" \(\(:\)\(\ \)\) 
      "no rules could be found to regulate this integral"\)], "Message"],

Cell[BoxData[
    \(MBrules::"norules" \(\(:\)\(\ \)\) 
      "no rules could be found to regulate this integral"\)], "Message"],

Cell[BoxData[
    \(MBrules::"norules" \(\(:\)\(\ \)\) 
      "no rules could be found to regulate this integral"\)], "Message"],

Cell[BoxData[
    RowBox[{\(General::"stop"\), \(\(:\)\(\ \)\), "\<\"Further output of \
\\!\\(MBrules :: \\\"norules\\\"\\) will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"More\[Ellipsis]\\\", \
ButtonStyle->\\\"RefGuideLinkText\\\", ButtonFrame->None, \
ButtonData:>\\\"General::stop\\\"]\\)\"\>"}]], "Message"],

Cell[BoxData[
    \({{ep \[Rule] \(-\(113\/960\)\)}, {z1 \[Rule] \(-\(373\/480\)\), 
        z2 \[Rule] \(-\(17\/960\)\), z3 \[Rule] \(-\(7\/192\)\), 
        z4 \[Rule] \(-\(883\/960\)\), z5 \[Rule] \(-\(107\/960\)\), 
        z6 \[Rule] \(-\(163\/320\)\)}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(B2cont = MBcontinue[B2, ep \[Rule] 0, B2rules];\)\)], "Input"],

Cell[BoxData[
    \("Level 1"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"-"\[InvisibleSpace]"residue in "\[InvisibleSpace]z3\
\[InvisibleSpace]" = "\[InvisibleSpace]\(\(-2\) - 2\ ep - z2 - 2\ z4\)\),
      SequenceForm[ "Taking ", "-", "residue in ", z3, " = ", 
        Plus[ -2, 
          Times[ -2, ep], 
          Times[ -1, z2], 
          Times[ -2, z4]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"-"\[InvisibleSpace]"residue in "\[InvisibleSpace]z3\
\[InvisibleSpace]" = "\[InvisibleSpace]\(\(-4\) - 4\ ep - 2\ z1 - z2 - 
          2\ z4 - 2\ z5\)\),
      SequenceForm[ "Taking ", "-", "residue in ", z3, " = ", 
        Plus[ -4, 
          Times[ -4, ep], 
          Times[ -2, z1], 
          Times[ -1, z2], 
          Times[ -2, z4], 
          Times[ -2, z5]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Level "\[InvisibleSpace]2\),
      SequenceForm[ "Level ", 2],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{1}\),
      SequenceForm[ "Integral ", {1}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"-"\[InvisibleSpace]"residue in "\[InvisibleSpace]z4\
\[InvisibleSpace]" = "\[InvisibleSpace]\(\(-1\) - 2\ ep - z2\)\),
      SequenceForm[ "Taking ", "-", "residue in ", z4, " = ", 
        Plus[ -1, 
          Times[ -2, ep], 
          Times[ -1, z2]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{2}\),
      SequenceForm[ "Integral ", {2}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"-"\[InvisibleSpace]"residue in "\[InvisibleSpace]z4\
\[InvisibleSpace]" = "\[InvisibleSpace]\(\(-3\) - 4\ ep - 2\ z1 - z2 - 
          2\ z5\)\),
      SequenceForm[ "Taking ", "-", "residue in ", z4, " = ", 
        Plus[ -3, 
          Times[ -4, ep], 
          Times[ -2, z1], 
          Times[ -1, z2], 
          Times[ -2, z5]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"-"\[InvisibleSpace]"residue in "\[InvisibleSpace]z5\
\[InvisibleSpace]" = "\[InvisibleSpace]\(\(-2\) - 3\ ep - z1 - z4\)\),
      SequenceForm[ "Taking ", "-", "residue in ", z5, " = ", 
        Plus[ -2, 
          Times[ -3, ep], 
          Times[ -1, z1], 
          Times[ -1, z4]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Level "\[InvisibleSpace]3\),
      SequenceForm[ "Level ", 3],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{1, 1}\),
      SequenceForm[ "Integral ", {1, 1}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{2, 1}\),
      SequenceForm[ "Integral ", {2, 1}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"-"\[InvisibleSpace]"residue in "\[InvisibleSpace]z5\
\[InvisibleSpace]" = "\[InvisibleSpace]\(\(-1\) - 2\ ep - z1\)\),
      SequenceForm[ "Taking ", "-", "residue in ", z5, " = ", 
        Plus[ -1, 
          Times[ -2, ep], 
          Times[ -1, z1]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"-"\[InvisibleSpace]"residue in "\[InvisibleSpace]z2\
\[InvisibleSpace]" = "\[InvisibleSpace]\(\(-2\) - 4\ ep - 2\ z1 - 2\ z5\)\),
      SequenceForm[ "Taking ", "-", "residue in ", z2, " = ", 
        Plus[ -2, 
          Times[ -4, ep], 
          Times[ -2, z1], 
          Times[ -2, z5]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{2, 2}\),
      SequenceForm[ "Integral ", {2, 2}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z2\
\[InvisibleSpace]" = "\[InvisibleSpace]\(2\ ep\)\),
      SequenceForm[ "Taking ", "+", "residue in ", z2, " = ", 
        Times[ 2, ep]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"-"\[InvisibleSpace]"residue in "\[InvisibleSpace]z4\
\[InvisibleSpace]" = "\[InvisibleSpace]\(\(-1\) - 2\ ep\)\),
      SequenceForm[ "Taking ", "-", "residue in ", z4, " = ", 
        Plus[ -1, 
          Times[ -2, ep]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"-"\[InvisibleSpace]"residue in "\[InvisibleSpace]z4\
\[InvisibleSpace]" = "\[InvisibleSpace]\(\(-1\) - 2\ ep + z2\)\),
      SequenceForm[ "Taking ", "-", "residue in ", z4, " = ", 
        Plus[ -1, 
          Times[ -2, ep], z2]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Level "\[InvisibleSpace]4\),
      SequenceForm[ "Level ", 4],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{2, 1, 1}\),
      SequenceForm[ "Integral ", {2, 1, 1}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z2\
\[InvisibleSpace]" = "\[InvisibleSpace]ep\),
      SequenceForm[ "Taking ", "+", "residue in ", z2, " = ", ep],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{2, 1, 2}\),
      SequenceForm[ "Integral ", {2, 1, 2}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"-"\[InvisibleSpace]"residue in "\[InvisibleSpace]z5\
\[InvisibleSpace]" = "\[InvisibleSpace]\(\(-1\) - 3\ ep - z1\)\),
      SequenceForm[ "Taking ", "-", "residue in ", z5, " = ", 
        Plus[ -1, 
          Times[ -3, ep], 
          Times[ -1, z1]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{2, 2, 1}\),
      SequenceForm[ "Integral ", {2, 2, 1}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{2, 2, 2}\),
      SequenceForm[ "Integral ", {2, 2, 2}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z2\
\[InvisibleSpace]" = "\[InvisibleSpace]\(2\ ep\)\),
      SequenceForm[ "Taking ", "+", "residue in ", z2, " = ", 
        Times[ 2, ep]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{2, 2, 3}\),
      SequenceForm[ "Integral ", {2, 2, 3}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z2\
\[InvisibleSpace]" = "\[InvisibleSpace]\(2\ ep\)\),
      SequenceForm[ "Taking ", "+", "residue in ", z2, " = ", 
        Times[ 2, ep]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z2\
\[InvisibleSpace]" = "\[InvisibleSpace]ep\),
      SequenceForm[ "Taking ", "+", "residue in ", z2, " = ", ep],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Level "\[InvisibleSpace]5\),
      SequenceForm[ "Level ", 5],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{2, 1, 1, 1}\),
      SequenceForm[ "Integral ", {2, 1, 1, 1}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{2, 1, 2, 1}\),
      SequenceForm[ "Integral ", {2, 1, 2, 1}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{2, 2, 2, 1}\),
      SequenceForm[ "Integral ", {2, 2, 2, 1}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{2, 2, 3, 1}\),
      SequenceForm[ "Integral ", {2, 2, 3, 1}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{2, 2, 3, 2}\),
      SequenceForm[ "Integral ", {2, 2, 3, 2}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\(16\[InvisibleSpace]" integral(s) found"\),
      SequenceForm[ 16, " integral(s) found"],
      Editable->False]], "Print"]
}, Open  ]],

Cell[BoxData[
    \(\(B2select = MBpreselect[MBmerge[B2cont], {ep, 0, 0}];\)\)], "Input"],

Cell[BoxData[
    \(\(B2exp = 
        MBexpand[
          B2select, \((\(-t\))\)^\((2  ep)\) Exp[2  ep\ EulerGamma], {ep, 0, 
            0}];\)\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(B2int = 
      MBintegrate[B2exp, {s \[Rule] \(-2\), t \[Rule] \(-3\)}]\)], "Input"],

Cell[BoxData[
    \("Shifting contours..."\)], "Print"],

Cell["Performing 0 1-dimensional integrations", "Print"],

Cell[BoxData[
    \("Higher-dimensional integrals"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart1ep0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]4\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart1ep0", " (dim ", 4, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart2ep0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]3\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart2ep0", " (dim ", 3, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart3ep0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]3\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart3ep0", " (dim ", 3, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart4ep0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]2\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart4ep0", " (dim ", 2, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart5ep-1"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]2\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart5ep-1", " (dim ", 2, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart6ep-2"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]2\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart6ep-2", " (dim ", 2, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart1ep0"\),
      SequenceForm[ "Running ", "MBpart1ep0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart2ep0"\),
      SequenceForm[ "Running ", "MBpart2ep0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart3ep0"\),
      SequenceForm[ "Running ", "MBpart3ep0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart4ep0"\),
      SequenceForm[ "Running ", "MBpart4ep0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart5ep-1"\),
      SequenceForm[ "Running ", "MBpart5ep-1"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart6ep-2"\),
      SequenceForm[ "Running ", "MBpart6ep-2"],
      Editable->False]], "Print"],

Cell[BoxData[
    \({\(\(0.8016809843`\)\(\[InvisibleSpace]\)\) - 0.0649912874`\/ep\^2 - 
        0.0437332967`\/ep, \
{\(\(0.000992772854423287`\)\(\[InvisibleSpace]\)\) + 
          6.34650789`*^-6\/ep\^2 + 4.06037429`*^-6\/ep, 0}}\)], "Output"]
}, Open  ]],

Cell[BoxData[
    \( (*\ the\ exact\ result\ gives\ *) \)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(B2exact = 
      0.8020271590855861 - 0.06499126289123033\/ep\^2 - 
        0.04373329582236797\/ep\)], "Input"],

Cell[BoxData[
    \(\(\(0.8020271590855861`\)\(\[InvisibleSpace]\)\) - 
      0.06499126289123033`\/ep\^2 - 0.04373329582236797`\/ep\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(B2exact - B2int[\([1]\)]\)], "Input"],

Cell[BoxData[
    \(\(\(0.00034617478558607306`\)\(\[InvisibleSpace]\)\) + 
      2.450876966653137`*^-8\/ep\^2 + 8.776320295500462`*^-10\/ep\)], "Output"]
}, Open  ]],

Cell[BoxData[
    \( (*\ 
      continuation\ in\ two\ variables\ to\ obtain\ the\ result\ for\ B5l3md2\
\ defined\ \(in : \[IndentingNewLine]\[IndentingNewLine]M . Czakon\), 
      J . Gluza, T . Riemann, \ 
      Nucl . Phys . Proc . Suppl  .135\ \((2004)\)\ 83 - 
        87\[IndentingNewLine]M . Czakon, J . Gluza, T . Riemann, \ 
      Phys . Rev . 
          D71\ \((2005)\)\ 073009\[IndentingNewLine]\[IndentingNewLine]we\ \
leave\ a6\ as\ a\ free\ parameter\ *) \)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Step1 = 
      B2general /. {a1 \[Rule] 1, a2 \[Rule] 1, a3 \[Rule] 0, a4 \[Rule] 1, 
          a5 \[Rule] 2, a7 \[Rule] 1, a8 \[Rule] 0}\)], "Input"],

Cell[BoxData[
    \(\((\((\(-1\))\)\^\(6 + a6\)\ \((\(-s\))\)\^\(\(-2\) - a6 - 2\ ep - z5 - \
z6\)\ \((t\/s)\)\^z1\ Gamma[\(-z1\)]\ Gamma[
            1 + z1]\ Gamma[\(-z3\)]\ Gamma[\(-1\) - 2\ a6 - 2\ ep - z2 - z3 - 
              2\ z4]\ Gamma[\(-z4\)]\ Gamma[1 + z2 + z4]\ Gamma[
            a6 + z3 + z4]\ Gamma[\(-3\) - 2\ a6 - 4\ ep - 2\ z1 - z2 - z3 - 
              2\ z4 - 2\ z5]\ Gamma[\(-1\) - a6 - ep - z4 - 
              z5]\ Gamma[\(-a6\) - ep - z2 - z3 - z4 - 
              z5]\ Gamma[\(-z5\)]\ Gamma[
            2 + a6 + ep + z1 + z2 + z3 + z4 + z5]\ Gamma[\(-2\) - a6 - 
              2\ ep - z1 - z2 - z4 - z5 - z6]\ Gamma[\(-1\) - a6 - 2\ ep - 
              z1 - z3 - z4 - z5 - z6]\ Gamma[\(-z6\)]\ Gamma[
            2 + a6 + 2\ ep + z1 + z4 + z5 + z6])\)/\((Gamma[
            a6]\ Gamma[\(-a6\) - 2\ ep]\ Gamma[
            1 - z3]\ Gamma[\(-1\) - 2\ a6 - 2\ ep - z2 - z3 - 2\ z4 - 
              2\ z5]\ Gamma[\(-a6\) - 3\ ep - z4 - z5]\ Gamma[\(-3\) - 
              2\ a6 - 4\ ep - 2\ z1 - z2 - z3 - 2\ z4 - 2\ z5 - 
              2\ z6])\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Step1rules = 
      MBoptimizedRules[Step1, a6 \[Rule] 0, {}, {ep, a6}]\)], "Input"],

Cell[BoxData[
    \(MBrules::"norules" \(\(:\)\(\ \)\) 
      "no rules could be found to regulate this integral"\)], "Message"],

Cell[BoxData[
    \(MBrules::"norules" \(\(:\)\(\ \)\) 
      "no rules could be found to regulate this integral"\)], "Message"],

Cell[BoxData[
    \({{ep \[Rule] \(-\(7\/12\)\), 
        a6 \[Rule] 1\/6}, {z1 \[Rule] \(-\(1\/16\)\), 
        z2 \[Rule] \(-\(37\/96\)\), z3 \[Rule] \(-\(1\/24\)\), 
        z4 \[Rule] \(-\(1\/12\)\), z5 \[Rule] \(-\(5\/8\)\), 
        z6 \[Rule] \(-\(1\/32\)\)}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Step1cont = MBcontinue[Step1, a6 \[Rule] 0, Step1rules];\)\)], "Input"],

Cell[BoxData[
    \("Level 1"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z4\
\[InvisibleSpace]" = "\[InvisibleSpace]\(\(-a6\) - z3\)\),
      SequenceForm[ "Taking ", "+", "residue in ", z4, " = ", 
        Plus[ 
          Times[ -1, a6], 
          Times[ -1, z3]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Level "\[InvisibleSpace]2\),
      SequenceForm[ "Level ", 2],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{1}\),
      SequenceForm[ "Integral ", {1}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z3\
\[InvisibleSpace]" = "\[InvisibleSpace]\(-a6\)\),
      SequenceForm[ "Taking ", "+", "residue in ", z3, " = ", 
        Times[ -1, a6]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Level "\[InvisibleSpace]3\),
      SequenceForm[ "Level ", 3],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{1, 1}\),
      SequenceForm[ "Integral ", {1, 1}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\(3\[InvisibleSpace]" integral(s) found"\),
      SequenceForm[ 3, " integral(s) found"],
      Editable->False]], "Print"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Step1select = MBpreselect[Step1cont, {a6, 0, 0}]\)], "Input"],

Cell[BoxData[
    \({MBint[\((\((\(-1\))\)\^a6\ \((\(-s\))\)\^\(\(-2\) - a6 - 2\ ep - z5 - \
z6\)\ \((t\/s)\)\^z1\ Gamma[\(-z1\)]\ Gamma[
                1 + z1]\ Gamma[\(-1\) - a6 - 2\ ep - z2]\ Gamma[
                1 + z2]\ Gamma[\(-3\) - a6 - 4\ ep - 2\ z1 - z2 - 
                  2\ z5]\ Gamma[\(-1\) - a6 - ep - z5]\ Gamma[\(-ep\) - z2 - 
                  z5]\ Gamma[\(-z5\)]\ Gamma[
                2 + ep + z1 + z2 + z5]\ Gamma[\(-1\) - 2\ ep - z1 - z5 - 
                  z6]\ Gamma[\(-2\) - a6 - 2\ ep - z1 - z2 - z5 - 
                  z6]\ Gamma[\(-z6\)]\ Gamma[
                2 + a6 + 2\ ep + z1 + z5 + z6])\)/\((Gamma[
                1 + a6]\ Gamma[\(-a6\) - 2\ ep]\ Gamma[\(-1\) - a6 - 2\ ep - 
                  z2 - 2\ z5]\ Gamma[\(-a6\) - 3\ ep - z5]\ Gamma[\(-3\) - 
                  a6 - 4\ ep - 2\ z1 - z2 - 2\ z5 - 
                  2\ z6])\), {{ep \[Rule] \(-\(7\/12\)\), 
            a6 \[Rule] 0}, {z1 \[Rule] \(-\(1\/16\)\), 
            z2 \[Rule] \(-\(37\/96\)\), z5 \[Rule] \(-\(5\/8\)\), 
            z6 \[Rule] \(-\(1\/32\)\)}}]}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(B5l3md2 = Step1select[\([1, 1]\)] /. a6 \[Rule] 0\)], "Input"],

Cell[BoxData[
    \(\((\((\(-s\))\)\^\(\(-2\) - 2\ ep - z5 - z6\)\ \((t\/s)\)\^z1\ \
Gamma[\(-z1\)]\ Gamma[1 + z1]\ Gamma[\(-1\) - 2\ ep - z2]\ Gamma[
            1 + z2]\ Gamma[\(-3\) - 4\ ep - 2\ z1 - z2 - 
              2\ z5]\ Gamma[\(-1\) - ep - z5]\ Gamma[\(-ep\) - z2 - 
              z5]\ Gamma[\(-z5\)]\ Gamma[
            2 + ep + z1 + z2 + z5]\ Gamma[\(-1\) - 2\ ep - z1 - z5 - 
              z6]\ Gamma[\(-2\) - 2\ ep - z1 - z2 - z5 - 
              z6]\ Gamma[\(-z6\)]\ Gamma[
            2 + 2\ ep + z1 + z5 + z6])\)/\((Gamma[\(-2\)\ ep]\ Gamma[\(-1\) - 
              2\ ep - z2 - 2\ z5]\ Gamma[\(-3\)\ ep - z5]\ Gamma[\(-3\) - 
              4\ ep - 2\ z1 - z2 - 2\ z5 - 2\ z6])\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(B5l3md2rules = 
      MBoptimizedRules[B5l3md2, ep \[Rule] 0, {}, {ep}]\)], "Input"],

Cell[BoxData[
    \(MBrules::"norules" \(\(:\)\(\ \)\) 
      "no rules could be found to regulate this integral"\)], "Message"],

Cell[BoxData[
    \(MBrules::"norules" \(\(:\)\(\ \)\) 
      "no rules could be found to regulate this integral"\)], "Message"],

Cell[BoxData[
    \(MBrules::"norules" \(\(:\)\(\ \)\) 
      "no rules could be found to regulate this integral"\)], "Message"],

Cell[BoxData[
    RowBox[{\(General::"stop"\), \(\(:\)\(\ \)\), "\<\"Further output of \
\\!\\(MBrules :: \\\"norules\\\"\\) will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"More\[Ellipsis]\\\", \
ButtonStyle->\\\"RefGuideLinkText\\\", ButtonFrame->None, \
ButtonData:>\\\"General::stop\\\"]\\)\"\>"}]], "Message"],

Cell[BoxData[
    \({{ep \[Rule] \(-\(491\/1920\)\)}, {z1 \[Rule] \(-\(1\/128\)\), 
        z2 \[Rule] \(-\(629\/960\)\), z5 \[Rule] \(-\(21\/20\)\), 
        z6 \[Rule] \(-\(767\/1920\)\)}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(B5l3md2cont = 
        MBcontinue[B5l3md2, ep \[Rule] 0, B5l3md2rules];\)\)], "Input"],

Cell[BoxData[
    \("Level 1"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"-"\[InvisibleSpace]"residue in "\[InvisibleSpace]z2\
\[InvisibleSpace]" = "\[InvisibleSpace]\(\(-1\) - 2\ ep\)\),
      SequenceForm[ "Taking ", "-", "residue in ", z2, " = ", 
        Plus[ -1, 
          Times[ -2, ep]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"-"\[InvisibleSpace]"residue in "\[InvisibleSpace]z2\
\[InvisibleSpace]" = "\[InvisibleSpace]\(\(-3\) - 4\ ep - 2\ z1 - 2\ z5\)\),
      SequenceForm[ "Taking ", "-", "residue in ", z2, " = ", 
        Plus[ -3, 
          Times[ -4, ep], 
          Times[ -2, z1], 
          Times[ -2, z5]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Level "\[InvisibleSpace]2\),
      SequenceForm[ "Level ", 2],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{1}\),
      SequenceForm[ "Integral ", {1}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z5\
\[InvisibleSpace]" = "\[InvisibleSpace]\(\(-1\) + ep - z1\)\),
      SequenceForm[ "Taking ", "+", "residue in ", z5, " = ", 
        Plus[ -1, ep, 
          Times[ -1, z1]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{2}\),
      SequenceForm[ "Integral ", {2}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Level "\[InvisibleSpace]3\),
      SequenceForm[ "Level ", 3],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{1, 1}\),
      SequenceForm[ "Integral ", {1, 1}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z1\
\[InvisibleSpace]" = "\[InvisibleSpace]\(2\ ep\)\),
      SequenceForm[ "Taking ", "+", "residue in ", z1, " = ", 
        Times[ 2, ep]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Level "\[InvisibleSpace]4\),
      SequenceForm[ "Level ", 4],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{1, 1, 1}\),
      SequenceForm[ "Integral ", {1, 1, 1}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\(5\[InvisibleSpace]" integral(s) found"\),
      SequenceForm[ 5, " integral(s) found"],
      Editable->False]], "Print"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(B5l3md2select = MBpreselect[B5l3md2cont, {ep, 0, 0}]\)], "Input"],

Cell[BoxData[
    \({MBint[\((\((\(-s\))\)\^\(\(-1\) - ep - z6\)\ \((t\/s)\)\^\(2\ ep\)\ \
Gamma[\(-4\)\ ep]\ Gamma[\(-2\)\ ep]\ Gamma[1 + ep]\ Gamma[
                1 + 2\ ep]\ Gamma[\(-3\)\ ep - z6]\ Gamma[\(-ep\) - 
                  z6]\ Gamma[\(-z6\)]\ Gamma[1 + 3\ ep + z6])\)/\((Gamma[
                1 - 2\ ep]\ Gamma[\(-2\)\ \((2\ ep + z6)\)])\), {{ep \[Rule] 
              0}, {z6 \[Rule] \(-\(767\/1920\)\)}}], 
      MBint[\((\((\(-s\))\)\^\(\(-1\) - 3\ ep + z1 - z6\)\ \((t\/s)\)\^z1\ \
Gamma[\(-4\)\ ep]\ Gamma[\(-z1\)]\ Gamma[1 + z1]\ Gamma[
                2 + z1]\ Gamma[\(-2\)\ ep + z1]\ Gamma[
                1 - ep + z1]\ Gamma[\(-3\)\ ep - z6]\ Gamma[\(-ep\) - 
                  z6]\ Gamma[\(-z6\)]\ Gamma[1 + 3\ ep + z6])\)/\((Gamma[
                1 - 4\ ep + z1]\ Gamma[
                2 - 2\ ep + 
                  2\ z1]\ Gamma[\(-2\)\ \((2\ ep + z6)\)])\), {{ep \[Rule] 
              0}, {z1 \[Rule] \(-\(1\/128\)\), 
            z6 \[Rule] \(-\(767\/1920\)\)}}], 
      MBint[\((\((\(-s\))\)\^\(\(-2\) - 2\ ep - z5 - z6\)\ \((t\/s)\)\^z1\ \
Gamma[\(-z1\)]\ Gamma[1 + z1]\ Gamma[\(-1\) - ep - z5]\ Gamma[
                1 + ep - z5]\ Gamma[\(-z5\)]\ Gamma[
                1 - ep + z1 + 
                  z5]\ Gamma[\(-2\)\ \((1 + ep + z1 + z5)\)]\ Gamma[\(-1\) - 
                  z1 - z5 - z6]\ Gamma[\(-1\) - 2\ ep - z1 - z5 - 
                  z6]\ Gamma[\(-z6\)]\ Gamma[
                2 + 2\ ep + z1 + z5 + z6])\)/\((Gamma[\(-3\)\ ep - 
                  z5]\ Gamma[\(-2\)\ z5]\ Gamma[\(-2\)\ \((1 + ep + z1 + z5 + 
                      z6)\)])\), {{ep \[Rule] 
              0}, {z1 \[Rule] \(-\(1\/128\)\), z5 \[Rule] \(-\(21\/20\)\), 
            z6 \[Rule] \(-\(767\/1920\)\)}}]}\)], "Output"]
}, Open  ]]
},
FrontEndVersion->"5.1 for X",
ScreenRectangle->{{0, 1152}, {0, 864}},
WindowSize->{704, 864},
WindowMargins->{{0, Automatic}, {Automatic, 0}}
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1776, 53, 40, 1, 27, "Input"],
Cell[1819, 56, 41, 1, 23, "Print"],
Cell[1863, 59, 51, 1, 23, "Print"],
Cell[1917, 62, 62, 1, 23, "Print"],
Cell[1982, 65, 58, 1, 23, "Print"]
}, Open  ]],
Cell[2055, 69, 245, 4, 75, "Input"],
Cell[2303, 75, 1434, 23, 235, "Input"],

Cell[CellGroupData[{
Cell[3762, 102, 181, 3, 27, "Input"],
Cell[3946, 107, 899, 15, 160, "Output"]
}, Open  ]],
Cell[4860, 125, 76, 1, 27, "Input"],

Cell[CellGroupData[{
Cell[4961, 130, 87, 1, 27, "Input"],
Cell[5051, 133, 166, 3, 20, "Message"],
Cell[5220, 138, 155, 3, 20, "Message"],
Cell[5378, 143, 128, 2, 20, "Message"],
Cell[5509, 147, 128, 2, 20, "Message"],
Cell[5640, 151, 128, 2, 20, "Message"],
Cell[5771, 155, 334, 5, 33, "Message"],
Cell[6108, 162, 247, 4, 45, "Output"]
}, Open  ]],
Cell[6370, 169, 55, 1, 27, "Input"],

Cell[CellGroupData[{
Cell[6450, 174, 84, 1, 27, "Input"],
Cell[6537, 177, 42, 1, 23, "Print"],
Cell[6582, 180, 389, 9, 23, "Print"],
Cell[6974, 191, 342, 8, 23, "Print"],
Cell[7319, 201, 135, 3, 23, "Print"],
Cell[7457, 206, 145, 3, 23, "Print"],
Cell[7605, 211, 324, 7, 23, "Print"],
Cell[7932, 220, 358, 8, 23, "Print"],
Cell[8293, 230, 145, 3, 23, "Print"],
Cell[8441, 235, 322, 7, 23, "Print"],
Cell[8766, 244, 298, 6, 23, "Print"],
Cell[9067, 252, 135, 3, 23, "Print"],
Cell[9205, 257, 151, 3, 23, "Print"],
Cell[9359, 262, 151, 3, 23, "Print"],
Cell[9513, 267, 354, 8, 23, "Print"],
Cell[9870, 277, 151, 3, 23, "Print"],
Cell[10024, 282, 298, 6, 23, "Print"],
Cell[10325, 290, 151, 3, 23, "Print"],
Cell[10479, 295, 292, 6, 23, "Print"],
Cell[10774, 303, 135, 3, 23, "Print"],
Cell[10912, 308, 157, 3, 23, "Print"],
Cell[11072, 313, 157, 3, 23, "Print"],
Cell[11232, 318, 292, 6, 23, "Print"],
Cell[11527, 326, 157, 3, 23, "Print"],
Cell[11687, 331, 135, 3, 23, "Print"],
Cell[11825, 336, 163, 3, 23, "Print"],
Cell[11991, 341, 161, 3, 23, "Print"]
}, Open  ]],
Cell[12167, 347, 127, 3, 27, "Input"],

Cell[CellGroupData[{
Cell[12319, 354, 84, 1, 27, "Input"],
Cell[12406, 357, 4042, 67, 778, "Output"]
}, Open  ]],
Cell[16463, 427, 109, 2, 27, "Input"],
Cell[16575, 431, 93, 1, 27, "Input"],

Cell[CellGroupData[{
Cell[16693, 436, 104, 2, 27, "Input"],
Cell[16800, 440, 55, 1, 23, "Print"],
Cell[16858, 443, 56, 0, 23, "Print"],
Cell[16917, 445, 63, 1, 23, "Print"],
Cell[16983, 448, 248, 4, 23, "Print"],
Cell[17234, 454, 248, 4, 23, "Print"],
Cell[17485, 460, 248, 4, 23, "Print"],
Cell[17736, 466, 248, 4, 23, "Print"],
Cell[17987, 472, 250, 4, 23, "Print"],
Cell[18240, 478, 250, 4, 23, "Print"],
Cell[18493, 484, 250, 4, 23, "Print"],
Cell[18746, 490, 161, 3, 23, "Print"],
Cell[18910, 495, 161, 3, 23, "Print"],
Cell[19074, 500, 161, 3, 23, "Print"],
Cell[19238, 505, 161, 3, 23, "Print"],
Cell[19402, 510, 163, 3, 23, "Print"],
Cell[19568, 515, 163, 3, 23, "Print"],
Cell[19734, 520, 163, 3, 23, "Print"],
Cell[19900, 525, 246, 3, 51, "Output"]
}, Open  ]],
Cell[20161, 531, 68, 1, 27, "Input"],

Cell[CellGroupData[{
Cell[20254, 536, 136, 3, 47, "Input"],
Cell[20393, 541, 146, 2, 48, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[20576, 548, 57, 1, 27, "Input"],
Cell[20636, 551, 129, 2, 51, "Output"]
}, Open  ]],
Cell[20780, 556, 263, 4, 75, "Input"],
Cell[21046, 562, 1866, 31, 331, "Input"],

Cell[CellGroupData[{
Cell[22937, 597, 181, 3, 27, "Input"],
Cell[23121, 602, 1029, 16, 179, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[24187, 623, 87, 1, 27, "Input"],
Cell[24277, 626, 227, 4, 33, "Message"],
Cell[24507, 632, 167, 3, 20, "Message"],
Cell[24677, 637, 181, 3, 20, "Message"],
Cell[24861, 642, 337, 5, 33, "Message"],
Cell[25201, 649, 128, 2, 20, "Message"],
Cell[25332, 653, 128, 2, 20, "Message"],
Cell[25463, 657, 128, 2, 20, "Message"],
Cell[25594, 661, 334, 5, 33, "Message"],
Cell[25931, 668, 272, 4, 45, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[26240, 677, 84, 1, 27, "Input"],
Cell[26327, 680, 42, 1, 23, "Print"],
Cell[26372, 683, 391, 9, 23, "Print"],
Cell[26766, 694, 472, 12, 23, "Print"],
Cell[27241, 708, 135, 3, 23, "Print"],
Cell[27379, 713, 145, 3, 23, "Print"],
Cell[27527, 718, 356, 8, 23, "Print"],
Cell[27886, 728, 145, 3, 23, "Print"],
Cell[28034, 733, 437, 11, 23, "Print"],
Cell[28474, 746, 388, 9, 23, "Print"],
Cell[28865, 757, 135, 3, 23, "Print"],
Cell[29003, 762, 151, 3, 23, "Print"],
Cell[29157, 767, 151, 3, 23, "Print"],
Cell[29311, 772, 356, 8, 23, "Print"],
Cell[29670, 782, 394, 9, 23, "Print"],
Cell[30067, 793, 151, 3, 23, "Print"],
Cell[30221, 798, 292, 6, 23, "Print"],
Cell[30516, 806, 324, 7, 23, "Print"],
Cell[30843, 815, 333, 7, 23, "Print"],
Cell[31179, 824, 135, 3, 23, "Print"],
Cell[31317, 829, 157, 3, 23, "Print"],
Cell[31477, 834, 265, 5, 23, "Print"],
Cell[31745, 841, 157, 3, 23, "Print"],
Cell[31905, 846, 356, 8, 23, "Print"],
Cell[32264, 856, 157, 3, 23, "Print"],
Cell[32424, 861, 157, 3, 23, "Print"],
Cell[32584, 866, 292, 6, 23, "Print"],
Cell[32879, 874, 157, 3, 23, "Print"],
Cell[33039, 879, 292, 6, 23, "Print"],
Cell[33334, 887, 265, 5, 23, "Print"],
Cell[33602, 894, 135, 3, 23, "Print"],
Cell[33740, 899, 163, 3, 23, "Print"],
Cell[33906, 904, 163, 3, 23, "Print"],
Cell[34072, 909, 163, 3, 23, "Print"],
Cell[34238, 914, 163, 3, 23, "Print"],
Cell[34404, 919, 163, 3, 23, "Print"],
Cell[34570, 924, 161, 3, 23, "Print"]
}, Open  ]],
Cell[34746, 930, 89, 1, 27, "Input"],
Cell[34838, 933, 158, 4, 27, "Input"],

Cell[CellGroupData[{
Cell[35021, 941, 104, 2, 27, "Input"],
Cell[35128, 945, 55, 1, 23, "Print"],
Cell[35186, 948, 56, 0, 23, "Print"],
Cell[35245, 950, 63, 1, 23, "Print"],
Cell[35311, 953, 248, 4, 23, "Print"],
Cell[35562, 959, 248, 4, 23, "Print"],
Cell[35813, 965, 248, 4, 23, "Print"],
Cell[36064, 971, 248, 4, 23, "Print"],
Cell[36315, 977, 250, 4, 23, "Print"],
Cell[36568, 983, 250, 4, 23, "Print"],
Cell[36821, 989, 161, 3, 23, "Print"],
Cell[36985, 994, 161, 3, 23, "Print"],
Cell[37149, 999, 161, 3, 23, "Print"],
Cell[37313, 1004, 161, 3, 23, "Print"],
Cell[37477, 1009, 163, 3, 23, "Print"],
Cell[37643, 1014, 163, 3, 23, "Print"],
Cell[37809, 1019, 247, 4, 51, "Output"]
}, Open  ]],
Cell[38071, 1026, 68, 1, 27, "Input"],

Cell[CellGroupData[{
Cell[38164, 1031, 132, 3, 47, "Input"],
Cell[38299, 1036, 146, 2, 48, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[38482, 1043, 57, 1, 27, "Input"],
Cell[38542, 1046, 155, 2, 51, "Output"]
}, Open  ]],
Cell[38712, 1051, 483, 9, 123, "Input"],

Cell[CellGroupData[{
Cell[39220, 1064, 170, 3, 27, "Input"],
Cell[39393, 1069, 1083, 17, 179, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[40513, 1091, 104, 2, 27, "Input"],
Cell[40620, 1095, 128, 2, 20, "Message"],
Cell[40751, 1099, 128, 2, 20, "Message"],
Cell[40882, 1103, 280, 5, 45, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[41199, 1113, 93, 1, 27, "Input"],
Cell[41295, 1116, 42, 1, 23, "Print"],
Cell[41340, 1119, 345, 8, 23, "Print"],
Cell[41688, 1129, 135, 3, 23, "Print"],
Cell[41826, 1134, 145, 3, 23, "Print"],
Cell[41974, 1139, 291, 6, 23, "Print"],
Cell[42268, 1147, 135, 3, 23, "Print"],
Cell[42406, 1152, 151, 3, 23, "Print"],
Cell[42560, 1157, 159, 3, 23, "Print"]
}, Open  ]],

Cell[CellGroupData[{
Cell[42756, 1165, 81, 1, 27, "Input"],
Cell[42840, 1168, 1085, 17, 183, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[43962, 1190, 82, 1, 27, "Input"],
Cell[44047, 1193, 710, 11, 147, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[44794, 1209, 104, 2, 27, "Input"],
Cell[44901, 1213, 128, 2, 20, "Message"],
Cell[45032, 1217, 128, 2, 20, "Message"],
Cell[45163, 1221, 128, 2, 20, "Message"],
Cell[45294, 1225, 334, 5, 33, "Message"],
Cell[45631, 1232, 204, 3, 45, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[45872, 1240, 108, 2, 27, "Input"],
Cell[45983, 1244, 42, 1, 23, "Print"],
Cell[46028, 1247, 324, 7, 23, "Print"],
Cell[46355, 1256, 394, 9, 23, "Print"],
Cell[46752, 1267, 135, 3, 23, "Print"],
Cell[46890, 1272, 145, 3, 23, "Print"],
Cell[47038, 1277, 330, 7, 23, "Print"],
Cell[47371, 1286, 145, 3, 23, "Print"],
Cell[47519, 1291, 135, 3, 23, "Print"],
Cell[47657, 1296, 151, 3, 23, "Print"],
Cell[47811, 1301, 292, 6, 23, "Print"],
Cell[48106, 1309, 135, 3, 23, "Print"],
Cell[48244, 1314, 157, 3, 23, "Print"],
Cell[48404, 1319, 159, 3, 23, "Print"]
}, Open  ]],

Cell[CellGroupData[{
Cell[48600, 1327, 85, 1, 27, "Input"],
Cell[48688, 1330, 1745, 28, 406, "Output"]
}, Open  ]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

